Loading...
Searching...
No Matches
casacore::ValTypeId_global_functions_typeid Struct Reference
casa package (libcasa_casa) » Utilities_module

More...

`#include <ValTypeId.h>`

## Public Member Functions

template<class T>
String | valDataTypeId (const T *)
String | valDataTypeId (const Bool *obj)
String | valDataTypeId (const Char *obj)
String | valDataTypeId (const uChar *obj)
String | valDataTypeId (const Short *obj)
String | valDataTypeId (const uShort *obj)
String | valDataTypeId (const Int *obj)
String | valDataTypeId (const uInt *obj)
String | valDataTypeId (const Int64 *obj)
String | valDataTypeId (const float *obj)
String | valDataTypeId (const double *obj)
String | valDataTypeId (const Complex *obj)
String | valDataTypeId (const DComplex *obj)
String | valDataTypeId (const String *obj)
String | valDataTypeId (const TableRecord *obj)

## Detailed Description

The id-string of a value type

### Intended use:

Public interface

### Review Status

Reviewed By:
  Friso Olnon
Date Reviewed:
  1995/03/20

### Prerequisite

- class ValType

### Synopsis

The templated global functions valDataTypeId get the data type id string of the given type. For standard types this is the ValType data type string. For other types (i.e. classes) it is the result of the class dataTypeId function.

Definition at line 55 of file ValTypeId.h.

## Member Function Documentation

## valDataTypeId() [1/15]

String casacore::ValTypeId_global_functions_typeid::valDataTypeId | ( | const Bool * | obj | ) |

inline

Definition at line 58 of file ValTypeId.h.

References casacore::ValType::getTypeStr().

## valDataTypeId() [2/15]

String casacore::ValTypeId_global_functions_typeid::valDataTypeId | ( | const Char * | obj | ) |

inline

Definition at line 60 of file ValTypeId.h.

References casacore::ValType::getTypeStr().

## valDataTypeId() [3/15]

String casacore::ValTypeId_global_functions_typeid::valDataTypeId | ( | const Complex * | obj | ) |

inline

Definition at line 78 of file ValTypeId.h.

References casacore::ValType::getTypeStr().

## valDataTypeId() [4/15]

String casacore::ValTypeId_global_functions_typeid::valDataTypeId | ( | const DComplex * | obj | ) |

inline

Definition at line 80 of file ValTypeId.h.

References casacore::ValType::getTypeStr().

## valDataTypeId() [5/15]

String casacore::ValTypeId_global_functions_typeid::valDataTypeId | ( | const double * | obj | ) |

inline

Definition at line 76 of file ValTypeId.h.

References casacore::ValType::getTypeStr().

## valDataTypeId() [6/15]

String casacore::ValTypeId_global_functions_typeid::valDataTypeId | ( | const float * | obj | ) |

inline

Definition at line 74 of file ValTypeId.h.

References casacore::ValType::getTypeStr().

## valDataTypeId() [7/15]

String casacore::ValTypeId_global_functions_typeid::valDataTypeId | ( | const Int * | obj | ) |

inline

Definition at line 68 of file ValTypeId.h.

References casacore::ValType::getTypeStr().

## valDataTypeId() [8/15]

String casacore::ValTypeId_global_functions_typeid::valDataTypeId | ( | const Int64 * | obj | ) |

inline

Definition at line 72 of file ValTypeId.h.

References casacore::ValType::getTypeStr().

## valDataTypeId() [9/15]

String casacore::ValTypeId_global_functions_typeid::valDataTypeId | ( | const Short * | obj | ) |

inline

Definition at line 64 of file ValTypeId.h.

References casacore::ValType::getTypeStr().

## valDataTypeId() [10/15]

String casacore::ValTypeId_global_functions_typeid::valDataTypeId | ( | const String * | obj | ) |

inline

Definition at line 82 of file ValTypeId.h.

References casacore::ValType::getTypeStr().

## valDataTypeId() [11/15]

template<class T>

String casacore::ValTypeId_global_functions_typeid::valDataTypeId | ( | const T * |  | ) |

inline

Definition at line 56 of file ValTypeId.h.

## valDataTypeId() [12/15]

String casacore::ValTypeId_global_functions_typeid::valDataTypeId | ( | const TableRecord * | obj | ) |

inline

Definition at line 84 of file ValTypeId.h.

References casacore::ValType::getTypeStr().

## valDataTypeId() [13/15]

String casacore::ValTypeId_global_functions_typeid::valDataTypeId | ( | const uChar * | obj | ) |

inline

Definition at line 62 of file ValTypeId.h.

References casacore::ValType::getTypeStr().

## valDataTypeId() [14/15]

String casacore::ValTypeId_global_functions_typeid::valDataTypeId | ( | const uInt * | obj | ) |

inline

Definition at line 70 of file ValTypeId.h.

References casacore::ValType::getTypeStr().

## valDataTypeId() [15/15]

String casacore::ValTypeId_global_functions_typeid::valDataTypeId | ( | const uShort * | obj | ) |

inline

Definition at line 66 of file ValTypeId.h.

References casacore::ValType::getTypeStr().

The documentation for this struct was generated from the following file:

- casa/Utilities/ValTypeId.h